Page MenuHomePhabricator

VisualEditor: Support Firefox 10-14
Open, LowestPublic

Description

More or less related to bug 41147 (T43147). Iceweasel team may consider Mozilla's ESR version in their forking work. However that bug was turned into talk about Firefox forks, so I start a new bug here.

Firefox is said to have an "Extended Support Release"[1] which is recommended to be used "by enterprises, public institutions, universities and other organizations that centrally manage their Firefox deployments"[2] by Mozilla. We may want to support that version too (just an older Firefox with security bugs fixed AFAIS).

[1] http://en.wikipedia.org/wiki/History_of_Firefox#Extended_Support_Release
[2] http://blog.mozilla.org/blog/2012/01/10/delivering-a-mozilla-firefox-extended-support-release/

Details

Reference
bz41245

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:05 AM
bzimport set Reference to bz41245.
liangent created this task.Oct 20 2012, 7:31 PM

As listed on bug 41147, our browser matrix is https://www.mediawiki.org/wiki/VisualEditor/2012-13_Q2_forward-look#Browser_matrix - right now, we are not likely to expand this list, though as previously stated, we'd look at including pushes from others. Browsers that are not "supported" are still likely to work, but we will not stand behind them as working before code is released.

Mozilla's internal LTS-like arrangements do not mean that the rest of the Web must dance to their tune. Quite the reverse; it means that they have committed to keeping a particular primary version of their browser "up-to-date" by back-porting security and other fixes.

If we target VE working for modern versions of Firefox, then Firefox ESR should happen to work; if it does not, that is a flaw that the Firefox development team are responsible for back-porting, and there would be nothing for us to do.

Clearly there are levels of reasonableness about this, and we won't attempt to stop things working or make changes that cause it for no good reason.

(In reply to comment #1)

Mozilla's internal LTS-like arrangements do not mean that the rest of the Web
must dance to their tune. Quite the reverse; it means that they have committed
to keeping a particular primary version of their browser "up-to-date" by
back-porting security and other fixes.
If we target VE working for modern versions of Firefox, then Firefox ESR should
happen to work; if it does not, that is a flaw that the Firefox development
team are responsible for back-porting, and there would be nothing for us to do.

Yes ESR versions may work but even if it always work with all required features, the whitelist keeps blocking it from working unless &vewhitelist is added.

The last comment is a general "Do we allow unsupported browsers to use VE" question. It's not specific to supporting Firefox ESR versions.

To put this into context:

https://www.mediawiki.org/wiki/Wikimedia_Engineering/2012-13_Goals#Visual_Editor states: "Q2 (October-December 2012):
First English Wikipedia deployments and iteration (New Page creation is not an ideal candidate here because of required support for things like a VE citations to ensure page survivability)".
VE deployment is planned for up to the end of June 2013.

http://stats.wikimedia.org/wikimedia/squids/SquidReportClients.htm shows a 0.52% rate for Firefox 10.0 (which will likely decrease in the future).

According to https://wiki.mozilla.org/Enterprise/Firefox/ExtendedSupport:Proposal#Proposal the end of life for Firefox 10.0.x is planned for February 12, 2013. That's 13 weeks from now.

Though there are enough internet users who run unsupported vulnerable old software versions I'd say it's arguable if it makes sense to allow FF 10.0.x as it will be rather dead soon anyway.

For the time being, feedback from testing VE on FF 10.0.x would be useless and not interesting for VE developers. If VE in 10.0.x turns out buggy, Wikimedia would get blamed for a non-functional VisualEditor and would receive feedback to "fix it please!", instead of the browser vendor for its old version.

So at the current state I don't consider adding &vewhitelist helpful for anybody. Proposing WONTFIX again.

Comments?

(In reply to comment #3)

VE deployment is planned for up to the end of June 2013.
According to
https://wiki.mozilla.org/Enterprise/Firefox/ExtendedSupport:Proposal#Proposal
the end of life for Firefox 10.0.x is planned for February 12, 2013. That's 13
weeks from now.

Considering this timeframe issue, it looks fine to me not to support 10.0.x ESR currently. But in

http://www.mediawiki.org/wiki/VisualEditor/2012-13_Q1_forward-look#cite_note-FirefoxLater-3

I see "VE team roughly intend to support the current, soon-to-be-current, and immediately previous versions only." and this bug is asking VE team not to treat ESR versions as "outdated versions" but "current version" in another "branch".

The new warning about VE being in beta stage is not fully readable with this browser. This said, it might be interesting to know whether support is coming at some point or this is going to be closed as "won't fix". Thanks.

(In reply to comment #5)

The new warning about VE being in beta stage is not fully readable with this
browser. This said, it might be interesting to know whether support is coming
at some point or this is going to be closed as "won't fix". Thanks.

Note that the current ESR version of Firefox is 17 now instead of 10. What does your "this browser" refer to?

Re-labelling this to be about supporting Firefox versions 10-14; 15+ (inc. ESR 17 and ESR 24) should work fine.

Are we still interested in supporting these versions? FF ESR 24.8.0 is EOL now, based on the chart at https://www.mozilla.org/en-US/firefox/organizations/faq/
Do we know how many people are still using our sites with 10-14?

Do we know how many people are still using our sites with 10-14?

In Dec 2014, 305.8 M total requests.

Firefox 10-14 are from the past.

From https://analytics.wikimedia.org/dashboards/browsers/#all-sites-by-browser/browser-family-and-major-hierarchical-view

In percent of Firefox traffic:

v100.29%
v528.9%
v5617%
v5765%

Maybe that bug can be reconsidered as "Support Firefox ESR version". That is currently version 52 released in March 2017.

Maybe that bug can be reconsidered as "Support Firefox ESR version". That is currently version 52 released in March 2017.

No. That milestone was reached in mid-2013. This is specifically about very old Firefox versions. It's possible someone might want to do this in the future.

Krinkle updated the task description. (Show Details)Dec 11 2017, 10:08 PM
Krinkle removed a subscriber: Krinkle.Dec 18 2017, 7:17 PM